#!/usr/bin/python

# Stop all dome motion
#
# Copyright 2012 John Kielkopf
#
#
# Assumes DLI controller these connections --
#
#   1  Decrease Azimuth
#   2  Increase Azimuth
#   3  
#   4
#   5  Open Lower
#   6  Close Lower
#   7  Open Upper
#   8  Close Upper
# 
# Based on software from Dwight Hubbard d@dhub.me
#   provided as an example on the DLI website           

# CDK20N Sirius dome scans about 6 (24 degrees) tags in 10 seconds

import sys
import time
import math

if len(sys.argv) != 1:
  sys.exit("No argument required")

# The dli module needs to be in the python path.  
# Add current directory to the path so we can find the dli module
sys.path.append('.')

# Import the DLI module -- must be in the same directory as this py file
import dli

# Switch settings for the DLI device

SWITCHIP="192.168.0.100"
USER="observer"
PASSWORD="dogstar"

# Open (connect) to the power switch, if the
# parameters are not passed it defaults to the
# IP address, user and password the switch is 
# set with from the factory.  Only changed items
# actually need to be passed.
switch=dli.powerswitch(hostname=SWITCHIP,userid=USER,password=PASSWORD)

# Verify the switch
if not switch.verify():
  print "Cannot talk to the switch"
  sys.exit(1)

# Print the current state of all the outlets
#switch.printstatus()

# Power Decrease Azimuth off
switch.off(1)
  
# Power Increase Azimuth off
switch.off(2)

# Power Open Lower off
switch.off(5)
  
# Power Close Lower off
switch.off(6)

# Power Open Upper off
switch.off(7)
  
# Power Close Upper off
switch.off(8)

# Print the switch states
print 'Decrease Azimuth is  ',switch.status(1)
print 'Increase Azimuth is  ',switch.status(2)
print 'Open Lower       is  ',switch.status(5)
print 'Close Lower      is  ',switch.status(6)
print 'Open Upper       is  ',switch.status(7)
print 'Close Upper      is  ',switch.status(8)
