#!/usr/bin/python

# Display status for dome power control
#
# Copyright 2012 John Kielkopf
#
#
# Assumes DLI controller these connections --
#
#   1  Dome rotation power
#   2  Video server and dome camera
#   3  Telescope mount
#   4  Astronomical cameras
#   5  Filter wheel
#   6  Flat field
#   7  Dome light
#   8  Unused
# 
# Based on software from Dwight Hubbard d@dhub.me
#   provided as an example on the DLI website           



import sys,time

# The module needs to be in the python path.  So we'll add the
# current directory so we can find the dli module
sys.path.append('.')

# Import the DLI module -- must be in the same directory as this py file
import dli

# Switch settings

SWITCHIP="139.86.48.97"
USER="admin"
PASSWORD="wallaroo"

# Open (connect) to the power switch, if the
# parameters are not passed it defaults to the
# IP address, user and password the switch is 
# set with from the factory.  Only changed items
# actually need to be passed.
switch=dli.powerswitch(hostname=SWITCHIP,userid=USER,password=PASSWORD)

# Verify the switch
if not switch.verify():
  print "Cannot talk to the switch"
  sys.exit(1)

# Print the current state of all the outlets
switch.printstatus()
  
