#!/usr/bin/python

# Display switch status for dome shutter control
#
# Copyright 2012 John Kielkopf
#
#
# Assumes DLI controller these connections --
#
#   1  Decrease Azimuth
#   2  Increase Azimuth
#   3  
#   4
#   5  Open Lower
#   6  Close Lower
#   7  Open Upper
#   8  Close Upper
# 
# Based on software from Dwight Hubbard d@dhub.me
#   provided as an example on the DLI website           



import sys,time

# The module needs to be in the python path.  So we'll add the
# current directory so we can find the dli module
sys.path.append('.')

# Import the DLI module -- must be in the same directory as this py file
import dli

# Switch settings

SWITCHIP="139.86.48.99"
USER="admin"
PASSWORD="wallaroo"

# Open (connect) to the power switch, if the
# parameters are not passed it defaults to the
# IP address, user and password the switch is 
# set with from the factory.  Only changed items
# actually need to be passed.
switch=dli.powerswitch(hostname=SWITCHIP,userid=USER,password=PASSWORD)

# Verify the switch
if not switch.verify():
  print "Cannot talk to the switch"
  sys.exit(1)

# Print the current state of all the outlets
switch.printstatus()
  
